GNUmed Windows installer dependencies

"Bare clients" will need other software components to have been installed

The following components are part of the large but simple GNUmed package and only need separate installation when installing the "bare client" GNUmed package. Among the following components, the larger Python package needs to be installed first, therefore wait for it to fully download, and install it, before any of the others. For each component, you can click through all of the default options "Next" and "OK". A compressed folder containing these same pre-requisites is provided here for your convenience.

  1. Python 2.6.6 which is the programming language in which GNUmed is written ( install first)
  2. psycopg2 (2.2.1) needed to connect to the PostgreSQL database
  3. egenixmxTools which provides helpful support for Date and time handling
  4. wxPython 2.8.12 unicode version which draws the GUI screens and controls
  5. PIL 1.1.7 for image handling in GNUmed's digital archive
  6. Twainmodule Python Twain bridge for image scanner connection... Note: until such time as they provide an actual installer, all one needs to do is take the *.pyd file and drop it the lib/site-packages directory of python (e.g. c:\python2.6)
  7. Python-Win32 Python extensions for Windows

Historical notes only:

Release history viewable here, devel info re packaging here

v0.2.6 to 1.1.4:

  1. Python 2.5.4 which is the programming language in which GNUmed is written ( install first)
  2. psycopg2 (2.0.8) needed to connect to the PostgreSQL database
  3. egenix mxTools which provides helpful support for Date and time handling
  4. wxPython 2.8.11 unicode version which draws the GUI screens and controls
  5. PIL 1.1.6 for image handling in GNUmed's digital archive
  6. Twainmodule Python Twain bridge for image scanner connection... Note: until such time as they provide an actual installer, all one needs to do is take the *.pyd file and drop it the lib/site-packages directory of python (e.g. c:\python2.5)

v0.2.3 to 0.2.5.1 - outdated

v0.2.0 - outdated

v0.1 - ancient

  • v0.1: If you are running an English version of Windows and do not see the green GNUmed logon window within 20 seconds, you may need to edit (right-mouse-click "Edit") the GNUmed "batch" file and replace two occurrences of Programme to PROGRA~1. Save the changes, and try the Start menu item again.
    • Once you have made it to the login window, proceed to the User Guide section Logging in.
Topic revision: 31 Dec 2011, SebastianHilbert
 
Download.png
This site is powered by the TWiki collaboration platformCopyright © by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding Foswiki? Send feedback
Powered by Olark